/* RObust TAsks */

.generic__rota {
	background-color: white;
	box-shadow: none;
	_max-width: 340px;
}
.generic__rota + .generic__rota {
	margin-top: 2em;
}


.generic__rota-add {
	position: relative;
	
	margin: 1em 0;
	outline: #f08;
}

.generic__rota-add-due {
	position: relative;
	overflow: hidden;
	
	cursor: pointer;
	display: inline-block;
	vertical-align: top;
}

.generic__rota-add-due-input {
	position: absolute;
	top: -2em;
	left: 0;
}

.generic__rota-add-due-text {
	display: inline-block;
	vertical-align: top;
}

.generic__rota-add-editor-placeholder {
	cursor: pointer;
	font-weight: bold;
}
.generic__rota-add__editing .generic__rota-add-editor-placeholder {
	display: none;
}

.generic__rota-add-editor {
	background-color: white;
	display: none;
	margin-top: 10px;
	text-align: right;
}
.generic__rota-add__editing .generic__rota-add-editor {
	display: block;
}

.generic__rota-add-editor-textarea {
	width: 100%;
	border-width: 0;
	box-sizing: border-box;
	height: calc(5.6em + 0.5em);
	min-height: calc(1.4em + 0.5em);
	padding: 0.25em;
	line-height: 1.4;
	text-align: left;
}

.generic__rota-add-editor-cancel,
.generic__rota-add-editor-save {
	background-color: transparent;
	border-width: 0;
	display: inline-block;
}

.generic__rota-add-fields {
	background-color: #dadada;
	margin-left: 60px;
	padding: 0.5em;
}

.generic__rota-add-selecteduser {
	cursor: pointer;
	width: 50px;
	_margin-bottom: 10px;
}

.generic__rota-add-username {
	display: inline-block;
	font-weight: bold;
	vertical-align: top;
}

.generic__rota-add-users {
	left: 85px;
}


.generic__rota-controls .generic__rota-blocked-by {
	top: 100%;
	margin-top: -1em;
}

.generic__rota-inner-assignee {
	position: relative;
}

.generic__rota-inner-assignee .generic__user-photo {
	width: 50px;
	float: none;
}
.generic__rota-user-assignee,
.generic__rota-assignee-other-user {
	cursor: pointer;
}
.generic__rota-user-assignee:hover,
.generic__rota__blocked .generic__rota-user-assignee {
	opacity: 0.5;
}

.generic__rota-blocked-by-user {
	cursor: pointer;
}
.generic__rota-blocked-by-user:hover {
	opacity: 0.5;
}

.generic__rota-color {
	position:relative;

	background-color: #7c7c7c;
	height: 8px;
}

.generic__rota-color-dots {
    position: absolute;
    line-height: 1em;
    color: white;
    top: -7px;
    left: 2px;
}

.generic__rota-color-choice {
	display: block;
	position: absolute;
	top: 0;
	right: 0;
	width: 8px;
	height: 100%;

	cursor: pointer;
}
.generic__rota-color-choice__pos1 { right: 0; }
.generic__rota-color-choice__pos2 { right: 8px; }
.generic__rota-color-choice__pos3 { right: 16px; }
.generic__rota-color-choice__pos4 { right: 24px; outline-left: 1px solid white; }

.generic__rota-controls {
	position: relative;
	
	padding: 1em;
}

.generic__rota-inner-task {
	font-size: 1.2em;
	margin: 1em 0em;
}

.generic__rota-interpersonal__closed {
	display: none;
}

.generic__rota-interpersonal-expand {
	position: relative;

	font-size: 200%;
	height: 1em;
}
.generic__rota-interpersonal-expand::before {
	position: absolute;
	top: 0;
	left: 50%;
	margin-top: -0.6em;
	margin-left: -1em;

	color: #497fe1;
	content: "\2026";
	cursor: pointer;
	display: block;
	width: 2em;
	text-align: center;
	height: 1.2em;
}

.generic__rota-more {
	/*position: absolute;
	right: 5px;
	top: 17px;*/
	float:right;
	margin-top: 1px;
}

.generic__rota-zone__blocked .generic__rota-more__ready,
.generic__rota-zone__ready   .generic__rota-more__ready,
.generic__rota-zone__working .generic__rota-more__working {
	display: none;
}

.generic__rota-inner {
	border-top: 1px solid #f1f1f1;
	padding: 2em;
}

.generic__rota-control__anvil {
	padding:2px;
	display:inline-block;
	float:left;
}
.generic__rota__anvil .generic__rota-control__anvil .material-icons {
	color: red;
}

.generic__rota-control__due {
	position: relative;
	overflow: hidden;

	display:inline-block;
	font-size:1.2em;
/*	margin-top: -1em;
	position: absolute;
	margin-top: 1px;
	left: 50px;*/
	float:left;
	vertical-align:middle;
	margin: 0 .5em;
}

.generic__rota-control__due-input {
	position: absolute;
	top: -2em;
	left: 0;
}

.generic__rota-control__due-text {
	cursor: pointer;
}

.generic__rota-control__due-today,
.generic__rota-control__due-late {
	color: #a84e4e;
}

.generic__rota-inner-projforco {
	margin-bottom:1em;
}

.generic__rota-context .material-icons {
	color:black;
}

.generic__rota-inner-tags {
	position: relative;

	margin: 1em 0em;
}

.generic__rota-tag,
.generic__rota-tag-add {
	_display:inline-block;
	float: left;

	margin: 0 0.25em 0.25em 0;
	padding:.2em .8em;
	color:white;
	font-size:.9em;
	text-transform: lowercase;
}
.generic__rota-tag__concepting { background-color: #6aceb5; }
.generic__rota-tag__print { background-color: #7cce84; }
.generic__rota-tag__design { background-color: #9b9cac; }
.generic__rota-tag__programming {
	background-image: linear-gradient(to bottom right, red, orange, yellow, green, blue, indigo, violet);
	background-image: linear-gradient(to right, #0f0, #0cc, #00f, #c0c, #f00, #cc0);
}
.generic__rota-tag__content { background-color: #ce689d; }
.generic__rota-tag__review { background-color: #ce9353; }
.generic__rota-tag__accounting { background-color: #ce5b52; }
.generic__rota-tag__internal { background-color: #6a71ce; }
.generic__rota-tag__photo { background-color: #699cd1; }
.generic__rota-tag__socialmedia { background-color: #7cc7d1; }
.generic__rota-tag__web { background-color: #8dce5e; }
.generic__rota-tag__video { background-color: #6aceb5; }
.generic__rota-tag__projectaccountmanagement { background-color: #9766a5; }
.generic__rota-tag__seosem { background-color: #a54c8f; }
.generic__rota-tag__administrative { background-color: #ce743e; }
.generic__rota-tags-available .generic__rota-tag {
	cursor: pointer;
}

.generic__rota-tag-add {
	background-color: #497fe1;
	cursor: pointer;
}

.generic__rota-tag-remove {
	cursor: pointer;
	display: inline-block;
	margin-left: 1em;
	transition: color .5s;
}
.generic__rota-tag-remove:hover {
	color:black;
}
.generic__rota-tags-available .generic__rota-tag-remove {
	display: none;
}

.generic__rota-tags-available {
	position: absolute;
	width: 100%;
	z-index: 3;

	background-color: white;
	border: 1px solid #eee;
	box-shadow: 3px 4px 8px 0px rgba(0, 0, 0, 0.25);
	display: none;
	padding: 0.5em;
}
.generic__rota-tags-available__show {
	display: block;
}

.generic__rota-editor__open {
	_padding-top: 1em;
	_padding-bottom: 1em;
}

.generic__rota-editor__open .generic__rota-task {
	display: none;
}

.generic__rota-editor-textarea {
	display: none;
	box-sizing: border-box;
	width: 100%;
}
.generic__rota-editor__open .generic__rota-editor-textarea {
	display: block;
}

.generic__rota-editor-cancel,
.generic__rota-editor-save {
	display: none;
}
.generic__rota-editor-cancel {
	float: left;
}
.generic__rota-editor-save {
	float: right;
}
.generic__rota-editor__open .generic__rota-editor-cancel,
.generic__rota-editor__open .generic__rota-editor-save {
	display: inline;
}


.generic__rota-followers {
	position: relative;
}

.generic__rota-follower {
	cursor: pointer;
	width: 50px;
}
.generic__rota-follower + .generic__rota-follower {
	margin-left: 5px;
}
.generic__rota-follower:hover {
	opacity: 0.5;
}

.generic__rota-inner-follower-image {
	width: 50px;
	border-radius: 50%;
	margin: 0em 0em 1em 0em;
}

.generic__rota-inner-addcom {
	margin-top: 10px;
}

.generic__rota-inner-addcom .comment__form {
	box-shadow: none;
}

.generic__rota-comments-expand {
	position: relative;

	border-top: 0px solid #e9e9e9;
	margin-top: 0.5em;
	font-size: 200%;
	height: 1em;
}
.generic__rota-comments-expand::before {
	position: absolute;
	top: 0;
	left: 50%;
	margin-top: -0.6em;
	margin-left: -1em;

	color: #497fe1;
	content: "\2026";
	cursor: pointer;
	display: block;
	width: 2em;
	text-align: center;
	height: 1.2em;
}

.generic__rota-comments-others {
	display: none;
}

.generic__rota-context .generic__rota-user-blocking {
	cursor: pointer;
}
.generic__rota-context .generic__rota-user-blocking:hover {
	opacity: 0.5;
}

.generic__rota-user-select {
	position: absolute;
	width: 400px;
	top: 0;
	z-index: 5;

	background-color: white;
	border: 1px solid #eee;
	box-shadow: 3px 4px 8px 0px rgba(0, 0, 0, 0.25);
	display: none;
	padding: 0.5em;
}
.generic__rota-user-select__show {
	display: block;
}

.generic__rota-context .comments__comment-meta {
	display:none;
}

.generic__rota-inner-addcom .generic__user-photo {
	display:none;
}

.generic__rota-context .comment__textarea {
	border: 1px solid black;
}

.generic__rota-context .comment__comment-info__container {
	margin-left:0;
}

.generic__rota-context .comment__form {
	border-radius:0;
	margin-bottom:1em;
}

.generic__rota-context .comment__form:hover {
	box-shadow:none;
}

.generic__rota-context .comment__submit {
	margin-left:0;
}

.material-icons {
    font-size: 21px;
}

.tasks-robust__col, .projects-view__rota-col {
    float: right!important;
}

.tasks-robust__col a {
    /*word-break: break-all;
		word-wrap: break-word;*/
		overflow-wrap: break-word;
}

.generic__rota-context .material-icons:hover {
    color: #497fe1;
}









@media all and (max-width: 1070px) {





}

@media all and (max-width: 900px) {

	.tasks-robust__col, .projects-view__rota-col {
	    float: right!important;
			width:50%!important;
	}

	.tasks-robust__col__blocked {
		float:none!important;
		width:100%!important;
		clear:both;
	}



}

@media all and (max-width: 730px) {



}

@media all and (max-width: 550px) {

	.tasks-robust__col, .projects-view__rota-col {
	    float: none!important;
			width:100%!important;
			clear:both;
	}


}
